%define _name sdlBasic
%undefine _hardened_build
%global _legacy_common_support 1

Name:		sdlbasic
Version:	2007.07.14
Release:	%mkrel 19
URL:		https://sdlbasic.sourceforge.net/
Source0:	%{_name}-src-%{version}.tgz
License:	LGPLv2
Group:		Development/Basic
Summary:	A small, efficient and multiplatform basic interpreter
Patch1:         scintilla-makefile-flags.patch
Patch2:         scite-makefile.patch
# fix missing DESTDIR
Patch3:		sdlbasic-makefile-install.patch
Patch4:		sdlbrt-makefile-install.patch
# fix SciteDefaultHome
Patch5:		sdlBasic-properties.patch
Patch6:		sdlbasic-exporters.patch
Patch7:		sdlbasic-link.patch
Patch8:		sdlbrt-drop-fonts.patch
Patch9:		sdlbasic-nostrip.diff
Patch10:	sdlBasic-build-flags.patch
Patch11:	sdlBasic-strfmt.patch
Patch12:	sdlBasic-build-flags-vol2.patch
Patch13:	sdlBasic-gcc14.patch
BuildRequires:	gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:	pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  smpeg-devel
BuildRequires:  desktop-file-utils

Requires:	sdlbrt = %{version}-%{release}

%package -n sdlbrt
Summary:	%{_name} runtime interpreter
Group:		Development/Basic
Requires:	fonts-ttf-dejavu

%description
An easy basic in order to make games in 2d style amos for linux and windows.
The basic it comprises a module runtime, ide examples and games.

%description -n sdlbrt
%{_name} runtime interpreter.

%prep
%setup -q -n usr/src/%{_name}
sed -i -e 's|/opt/sdlBasic|%{_prefix}|' -e 's|-o root -g root||' src/*/makefile src/*/*/makefile src/sdlBasic/gtk/sdlBasic.desktop 
sed -i 's|/opt/sdlBasic|%{_prefix}|' src/sdlBasic/gtk/sdlBasic.desktop 
sed -i 's|(guint)data|(unsigned long)data|' src/sdlBasic/gtk/SciTEGTK.cxx
sed -i 's|SYSCONF_PATH=$(prefix)/share/sdlBasic|SYSCONF_PATH=%{_sysconfdir}/sdlbasic|' src/sdlBasic/gtk/makefile
# fixes dejavu font dir
sed -i -e 's|fonts/ttf|fonts/TTF|' src/*/makefile src/*/*/makefile

%patch -P 1
%patch -P 2
%patch -P 3
%patch -P 4
%patch -P 5
%patch -P 6
%patch -P 7 -p0
%patch -P 8 -p4 -b .dropfonts
%patch -P 10 -p4
%patch -P 11 -p4
%patch -P 12 -p4
%patch -P 13 -p4

# due to patch5
sed -i -e 's|@BASEDIR@|%{_prefix}|' -e 's|@SDLBRT_PATH@|%{_bindir}/sdlBrt|' share/sdlBasic/sdlBasic.properties

# drop rpath
sed -i -e 's/-Wl,-rpath,//g' $(find . -name "makefile")

%__cat > src/sdlBasic/gtk/sdlBasic.desktop << EOF
[Desktop Entry]
Categories=Development;IDE;
Comment=sdlBasic IDE
Comment[fr]=IDE sdlBasic
Comment[it]=IDE per sdlBasic
Exec=sdlbasic
GenericName=Editor for sdlBasic language
GenericName[fr]=Éditeur pour le langage sdlBasic
GenericName[it]=Editor per il linguaggio sdlBasic
Icon=sdlbasic
Name=sdlBasic
Name[fr]=sdlBasic
Name[it]=sdlBasic
StartupNotify=true
Terminal=false
Type=Application

EOF

# related to patch8
find . -type f -name "*.ttf" -delete

%build
cd src
OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true ./compile.sh
cd ..

%install
%make_install -C src/sdlBasic/gtk OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true
%make_install os=linux -C src/sdlBrt OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true
cp -r share/* %{buildroot}%{_datadir}
ln -s -f %{_name} %{buildroot}%{_bindir}/%{name}
ln -s -f sdlBrt %{buildroot}%{_bindir}/sdlbrt

install -m 755 -D src/sdlBasic/gtk/sdlBIDE48M.png %{buildroot}%{_iconsdir}/sdlbasic.png

desktop-file-install --vendor="" \
                     --dir="%{buildroot}%{_datadir}/applications" \
                     ./src/sdlBasic/gtk/sdlBasic.desktop

%files
%{_bindir}/%{name}
%{_bindir}/%{_name}
%dir %{_datadir}/doc/%{_name}
%dir %{_datadir}/%{_name}
%dir %{_sysconfdir}/%{name}
%{_datadir}/doc/%{_name}/*
%{_datadir}/%{_name}/*
%exclude %{_datadir}/%{_name}/*.properties
%{_sysconfdir}/%{name}/*
%exclude %{_sysconfdir}/%{name}/*.api
%{_iconsdir}/sdlbasic.png
%{_datadir}/applications/sdlBasic.desktop

%files -n sdlbrt
%{_bindir}/sdlBrt
%{_bindir}/sdlbrt


%changelog
* Mon Dec 09 2024 ns80 <ns80> 2007.07.14-19.mga10
+ Revision: 2123118
- try to fix build

* Wed Apr 03 2024 daviddavid <daviddavid> 2007.07.14-18.mga10
+ Revision: 2054201
- add patch to fix build with GCC14
+ wally <wally>
- skip rpath without chrpath
- enable %%__arch_install_post

* Sun Feb 12 2023 ghibo <ghibo> 2007.07.14-17.mga9
+ Revision: 1940834
- Add chrpath to BuildRequires.
- Strip empty rpath from sdlBrt.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 02 2020 wally <wally> 2007.07.14-15.mga8
+ Revision: 1641775
- add patches to fix str fmt and to use our build time flags
+ joequant <joequant>
- fix gcc10 build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 2007.07.14-14.mga8
+ Revision: 1516904
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2007.07.14-13.mga7
+ Revision: 1300978
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 2007.07.14-12.mga6
+ Revision: 962775
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 2007.07.14-11.mga6
+ Revision: 894644
- do not strip thus fixing debuginfo
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2007.07.14-10.mga5
+ Revision: 741388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2007.07.14-9.mga5
+ Revision: 689094
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 2007.07.14-8.mga4
+ Revision: 526471
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 2007.07.14-7.mga4
+ Revision: 437001
- rebuild for new libpng

* Wed Apr 10 2013 matteo <matteo> 2007.07.14-6.mga3
+ Revision: 409336
- dropped ttf fonts from the source package at prep time (sdlbrt should not package DejaVuSans*.ttf, mga#9354)
- added new requirement for sdlbrt subpackage (fonts-ttf-dejavu, mga#9354)
- added patch8 (makefile do not install fonts, mga#9354)
- fixed error into the sdlBasic desktop file (Icon)
- fixed missing version-release requirement (sdlbasic)

* Tue Mar 12 2013 lmenut <lmenut> 2007.07.14-5.mga3
+ Revision: 402110
- add exception in order to not provide font(*) & font(:lang=*)
  b/c arch packages shouldn't provide fonts (mga #8820c4)

* Mon Jan 14 2013 umeabot <umeabot> 2007.07.14-4.mga3
+ Revision: 381923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 2007.07.14-3.mga3
+ Revision: 308988
- spec clean-up
- update RPM group

* Sun Dec 25 2011 fwang <fwang> 2007.07.14-2.mga2
+ Revision: 187460
- fix linkage
- rebuild for new libtiff

* Fri Sep 30 2011 matteo <matteo> 2007.07.14-1.mga2
+ Revision: 150402
- spec file cleaned
- patched Exporters.cxx
- fixed some bugs related to sdlbrt and configurations path
- splitted sdlbasic from sdlbrt (packages)
- imported package sdlbasic

